{
  pkgs,
  ...
}:
{
  name = "service-vikunja";

  clan = {
    test.useContainers = false;
    directory = ./.;
    inventory = {
      machines.server = { };

      instances = {
        vikunja-test = {
          module.name = "@clan/vikunja";
          module.input = "self";
          roles.default.machines."server".settings = { };
        };
      };
    };
  };

  nodes = {
    server = {
      services.vikunja = {
      };
    };
  };

  testScript = ''
    start_all()

    server.wait_for_unit("vikunja")

    # Check that garage is running
    server.succeed("systemctl status vikunja")

  '';
}
